{% extends 'base.html' %}

{% block title %}URL Shortener{% endblock %}

{% block main %}


<div class="container">
  <div class="card-deck mb-3">
    <div class="card mb-4 shadow-sm">
      <div class="card-header">
        <h4 class="my-0 font-weight-normal text-center">Website</h4>
      </div>
      <div class="card-body">
        <form action="outform" method="post">
          <label for="code">Short Name</label>
          <input class="form-control" id="code" name="code" required type="text" value="">
          <br>
          <label for="url">Website URL</label>
          <input class="form-control" id="url" name="url" required type="url" value="">
          <br>
          <button class="btn btn-primary btn-lg btn-block" type="submit">Shorten</button>
        </form>
      </div>
    </div>
    <div class="card mb-4 shadow-sm">
      <div class="card-header">
        <h4 class="my-0 font-weight-normal text-center">File</h4>
      </div>
      <div class="card-body">
        <form action="outform" enctype="multipart/form-data" method="post">
          <label for="code">Short Name</label>
          <input class="form-control" id="code" name="code" required type="text" value="">
          <br>
          <label for="long_url">Website URL</label>
          <input class="form-control" id="file" name="file" required type="file">
          <br>
          <button class="btn btn-primary btn-lg btn-block" type="submit">Shorten</button>
        </form>
      </div>
    </div>
  </div>

  {% if codes %}
  <h2>Codes you have created:</h2>
  <ul>
    {% for code in codes %}
    <a href="{{ url_for('urlshort.redirect_to_url', code=code) }}">
      <li>{{ code }}</li>
    </a>
    {% endfor %}
  </ul>
  {% endif %}
</div>

{% endblock %}
